package com.ssj.service.weixin.zuoyb.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.transaction.annotation.Transactional;

import com.alibaba.dubbo.config.annotation.Service;
import com.ssj.bean.weixin.zyb.domain.ZuoybWeekTeacher;
import com.ssj.dao.weixin.zuoyb.dao.ZuoybWeekTeacherDao;
import com.ssj.framework.core.common.service.BaseServiceImpl;
import com.ssj.service.weixin.zuoyb.service.ZuoybWeekTeacherService;


/** 
 * @author  ZhangCaibao 
 * @version 2017年9月6日 下午5:17:02 
 * 类说明 
 */
@Service(version="1.0")
@Transactional
public class ZuoybWeekTeacherServiceImpl extends BaseServiceImpl<ZuoybWeekTeacher, String> implements ZuoybWeekTeacherService{
	@Autowired
	private  ZuoybWeekTeacherDao  zuoybWeekTeacherDao;
	@Override
	public PagingAndSortingRepository<ZuoybWeekTeacher, String> getDao() {
		return zuoybWeekTeacherDao;
	}
	@Override
	public void deleteByTeacherIdAndLibIdAndcourseHour(String teacherId,
			String libId, String hour, Integer days) {
		zuoybWeekTeacherDao.deleteByTeacherIdAndLibIdAndcourseHour(teacherId, libId, hour, days);
		
	}
	@Override
	public Integer getWeekIdAndteacherIdCount(String weekId, String teacherId) {
		return zuoybWeekTeacherDao.getWeekIdAndteacherIdCount(weekId, teacherId);
	}
	@Override
	public void deleteByTeacherIdAndWeekId(String weekId, String teacherId) {
		zuoybWeekTeacherDao.deleteByTeacherIdAndWeekId(weekId, teacherId);
	}

}
